<template>
  <div id="jq_xq_dfzy">
    <template>
      <el-backtop target="#jq_xq_dfzy" :right="80" :bottom="70" :visibility-height="600" title="回到顶部">
      </el-backtop>
    </template>
    <img class="back" :src="back" @click="goBack" />
    <span v-if="form.updateTime" style="position: absolute; right: 157px; top: 12.3%">更新时间：<span style="color: #ffc14e">{{
      form.updateTime }}</span></span>
    <div style="width: calc(100% - 360px); float: left; padding: 20px">
      <div style="width: calc(100% - 20px); float: left; padding: 20px">
        <div class="img-div">
          <el-upload class="avatar-uploader" action="1" :show-file-list="false" :disabled="true"
            :file-list="fileList_head" :accept="file_types_head" :auto-upload="false" :limit="1">
            <img :src="imageUrl" class="avatar" :onerror="errimg" />
          </el-upload>
          <div class="top-left-div">
            <span style="font-size: 22px">{{
              form.bdfh ? form.bdfh.value : ""
            }}</span>
            <span style="font-size: 19px">{{
              form.bdjc ? form.bdjc.value : ""
            }}</span>
          </div>
        </div>
        <table class="table_jbxx">
          <tr>
            <td class="pub-td1" style="width:60px">机构编号</td>
            <td class="pub-td2" colspan="3">
              <span>{{
                form.jgbh ? form.jgbh.value:''
              }}</span>
            </td>
          </tr>
          <tr>
            <td class="pub-td1" style="width:60px">机构番号</td>
            <td class="pub-td2">
              <span>{{form.jgfh ? form.jgfh.value:''}}</span>
              <i v-if="$route.meta.gly && form.jgfh?!form.jgfh.confirmed:false" class="el-icon-question" style="color: #9a9ca0;font-size: 20px;"></i>
              <i v-if="$route.meta.gly && form.jgfh?form.jgfh.confirmed:false" class="el-icon-success" style="color: #12dc00;font-size: 20px;"></i>
            </td>
            <td class="pub-td1" style="width:60px">机构简称</td>
            <td class="pub-td2">
              <span>{{
                form.jgjc ? form.jgjc.value:''
              }}</span>
              <i v-if="$route.meta.gly && form.jgjc?!form.jgjc.confirmed:false" class="el-icon-question" style="color: #9a9ca0;font-size: 20px;"></i>
              <i v-if="$route.meta.gly && form.jgjc?form.jgjc.confirmed:false" class="el-icon-success" style="color: #12dc00;font-size: 20px;"></i>
            </td>
          </tr>
          <tr>
            <td class="pub-td1">国家地区</td>
            <td class="pub-td2">
              <span>{{ form.gjdq ? form.gjdq.value:'' }}</span>
              <i v-if="$route.meta.gly && form.gjdq?!form.gjdq.confirmed:false" class="el-icon-question" style="color: #9a9ca0;font-size: 20px;"></i>
              <i v-if="$route.meta.gly && form.gjdq?form.gjdq.confirmed:false" class="el-icon-success" style="color: #12dc00;font-size: 20px;"></i>
          </td>
            <td class="pub-td1">机构类别</td>
            <td class="pub-td2">
              <span>{{ form.jglb ? form.jglb.value:'' }}</span>
              <i v-if="$route.meta.gly && form.jglb?!form.jglb.confirmed:false" class="el-icon-question" style="color: #9a9ca0;font-size: 20px;"></i>
              <i v-if="$route.meta.gly && form.jglb?form.jglb.confirmed:false" class="el-icon-success" style="color: #12dc00;font-size: 20px;"></i>
            </td>
          </tr>
          <tr v-for="(item, index) in xzzd" style="position: relative" v-if="xzzd.length>0 && index<=Math.trunc(xzzd.length/2)+Math.trunc(xzzd.length%2)-1">
            <td class="pub-td1">{{ xzzd[2*index].comment }}</td>
            <td class="pub-td2" :colspan="index==Math.trunc(xzzd.length/2)+Math.trunc(xzzd.length%2)-1?xzzd.length%2==0?'':'3':''" v-if="form.extraProperty">
              <span>{{
              form.extraProperty[xzzd[2*index].comment]?form.extraProperty[xzzd[2*index].comment].value:''
              }}</span>
              <i v-if="$route.meta.gly && form.extraProperty[xzzd[2*index].comment]?!form.extraProperty[xzzd[2*index].comment].confirmed:false" class="el-icon-question" style="color: #9a9ca0;font-size: 20px;"></i>
              <i v-if="$route.meta.gly && form.extraProperty[xzzd[2*index].comment]?form.extraProperty[xzzd[2*index].comment].confirmed:false" class="el-icon-success" style="color: #12dc00;font-size: 20px;"></i>
            </td>


            <td class="pub-td1" v-if="index==Math.trunc(xzzd.length/2)+Math.trunc(xzzd.length%2)-1?xzzd.length%2!=0?false:true:true">{{ xzzd[2*index+1].comment }}</td>
            <td class="pub-td2" v-if="form.extraProperty&&index==Math.trunc(xzzd.length/2)+Math.trunc(xzzd.length%2)-1?xzzd.length%2!=0?false:true:true">
              <span>{{
              form.extraProperty[xzzd[2*index+1].comment]?form.extraProperty[xzzd[2*index+1].comment].value:''
              }}</span>
              <i v-if="$route.meta.gly && form.extraProperty[xzzd[2*index+1].comment]?!form.extraProperty[xzzd[2*index+1].comment].confirmed:false" class="el-icon-question" style="color: #9a9ca0;font-size: 20px;"></i>
              <i v-if="$route.meta.gly && form.extraProperty[xzzd[2*index+1].comment]?form.extraProperty[xzzd[2*index+1].comment].confirmed:false" class="el-icon-success" style="color: #12dc00;font-size: 20px;"></i>
            </td>
          </tr>
        </table>
      </div>
      <div class="mk-div" v-for="(item, index) in wzmk_data">
        <div class="title-div">
          <span v-text="item.comment + ':'"></span>
        </div>
        <div class="data-div" v-if="form.textareaProperty">
          <div
            :style="{
              'text-align':
                form.textareaProperty[item.comment].value == '' ||
                form.textareaProperty[item.comment].value == undefined
                  ? 'center'
                  : 'unset',
              color:
                form.textareaProperty[item.comment].value == '' ||
                form.textareaProperty[item.comment].value == undefined
                  ? '#909399'
                  : '',
            }"
            v-if="item.type == 1"
            class="div_s"
          >
            <span
              v-text="
                form.textareaProperty[item.comment].value == '' ||
                form.textareaProperty[item.comment].value == undefined
                  ? '暂无数据'
                  : form.textareaProperty[item.comment].value
              "
            ></span>
          </div>
          <div v-if="item.type == 2" class="tablesss">
            <el-table style="width: 100%" :data="item.table_column" border>
              <el-table-column :prop="items" :label="items" v-for="(items, indexs) in item.table_tab" :key="indexs"
                align="center">
                <template slot-scope="scope">
                  <span>{{ scope.row[items] }}</span>
                </template>
              </el-table-column>
            </el-table>
          </div>
          <div v-if="item.type == 3" style="height: 800px">
            <component :is="currentRole_rw" :clientDetails="clientDetails_rw" v-if="showComponent" :show="showComponent"
              ref="mychild_rw_datas" />
          </div>
          <div v-if="item.type == 4" style="height: 500px"></div>
        </div>
      </div>
    </div>
    <div style="width: 280px; float: left; margin-left: 20px;">
      <div class="xgnr-span" style="margin-top: 0px">
        <span>相关人物</span>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_xgrw.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_xgrw.length != 0">
          <li v-for="item in xgnr_xgrw" :title="item.xm.value == undefined ||
            item.xm.value == '' ||
            item.xm.value == null
            ? item.wwm.value
            : item.xm.value
            ">
            <span @click="rw_xq(item)">{{
              item.xm.value == undefined ||
              item.xm.value == "" ||
              item.xm.value == null
              ? item.wwm.value
              : item.xm.value + " 相关人员"
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>账号动态</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('账号动态')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_zhdt.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_zhdt.length != 0">
          <li v-for="item in xgnr_zhdt" :title="item.txt" @click="showInfo_zhtds(item)">
            <span>{{ item.txt }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.pubdate
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>所属基地</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('所属基地')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_ssjd.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_ssjd.length != 0">
          <li v-for="item in xgnr_ssjd" :title="'出处：' + item.objectType" @click="showInfo(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>所属部队</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('所属部队')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_ssbd.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_ssbd.length != 0">
          <li v-for="item in xgnr_ssbd" :title="'出处：' + item.objectType" @click="showInfo(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>所属装备</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('所属装备')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_sszb.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_sszb.length != 0">
          <li v-for="item in xgnr_sszb" :title="'出处：' + item.objectType" @click="showInfo(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>相关舆情</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('相关舆情')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_xgyq.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_xgyq.length != 0">
          <li v-for="item in xgnr_xgyq" :title="'出处：' + item.objectType" @click="showInfo(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>历史文献</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('历史文献')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_lswx.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_lswx.length != 0">
          <li v-for="item in xgnr_lswx" :title="'出处：' + item.objectType" @click="showInfo(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>证据资料</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('证据资料')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_zjzl.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_zjzl.length != 0">
          <li v-for="item in xgnr_zjzl" :title="'出处：' + item.objectType" @click="showInfo(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>关键影响人物</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('关键影响人物')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_gjyxrw.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_gjyxrw.length != 0">
          <li v-for="item in xgnr_gjyxrw" :title="'出处：' + item.objectType" @click="showInfo(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>攻击建议</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('攻击建议')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_gjjy.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_gjjy.length != 0">
          <li v-for="item in xgnr_gjjy" :title="'出处：' + item.objectType" @click="showInfo_zhtd(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>评价言论</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('评价言论')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_pjyl.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_pjyl.length != 0">
          <li v-for="item in xgnr_pjyl" :title="'出处：' + item.objectType" @click="showInfo(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
      <div class="xgnr-span">
        <span>机构分析报告</span>
        <el-button type="primary" size="mini" style="float: right; margin-top: 10px; margin-right: 10px"
          @click="gd_cli('机构分析报告')">更多</el-button>
      </div>
      <div class="xgnr-div">
        <div v-if="xgnr_jgfxbg.length == 0">
          <span>暂无数据接入</span>
        </div>
        <ul v-if="xgnr_jgfxbg.length != 0">
          <li v-for="item in xgnr_jgfxbg" :title="'出处：' + item.objectType" @click="showInfo(item)">
            <span>{{ item.object }}</span>
            <span style="font-size: 12px; color: #737373">{{
              item.createTime
            }}</span>
          </li>
        </ul>
      </div>
    </div>
    <el-dialog :title="title_gd" :visible.sync="dialogVisible_gd" width="50%" :modal-append-to-body="false" id="_plscs">
      <el-tabs type="border-card" v-model="editableTabsValue">
        <el-tab-pane v-if="editableTabsValues" name="first">
          <span slot="label"><i class="el-icon-date"></i> 舆情新闻</span>
          <el-table style="width: 100%" class="table-div" :data="tableData_gd2">
            <el-table-column type="index" label="序号" width="80"></el-table-column>
            <el-table-column label="标题">
              <template slot-scope="scope">
                <span @click="showInfo_s(scope.row)">{{
                  scope.row.object
                }}</span>
              </template>
            </el-table-column>
            <!-- <el-table-column prop="score" label="得分" width="80"></el-table-column> -->
          </el-table>
          <div class="page-div" style="margin-top: 30px">
            <el-pagination class="myPagination" background layout="total, sizes, prev, pager, next, jumper"
              @size-change="handleSizeChange2" :page-size="pageSize2" :current-page="current_page2" :total="total2"
              @current-change="handleCurrentChange_rwk2" :page-sizes="[10, 20, 50, 100]">
            </el-pagination>
          </div>
        </el-tab-pane>
        <el-tab-pane name="second">
          <span slot="label"><i class="el-icon-date"></i> 关联</span>
          <el-table style="width: 100%" class="table-div" :data="tableData_gd" :header-cell-style="{
            color: '#ffffffc7',
            fontSize: '14px',
            background: '#263b5d',
          }" :row-style="{
            color: '#ffffffc7',
            fontSize: '14px',
            background: '#1d2d46',
          }">
            <el-table-column type="index" label="序号" width="80"></el-table-column>
            <el-table-column label="内容">
              <template slot-scope="scope">
                <span @click="showInfo_s(scope.row)">{{
                  scope.row.object
                }}</span>
              </template>
            </el-table-column>
            <!-- <el-table-column prop="score" label="得分" width="80"></el-table-column> -->
          </el-table>
          <div class="page-div" style="margin-top: 30px">
            <el-pagination class="myPagination" background layout="total, sizes, prev, pager, next, jumper"
              @size-change="handleSizeChange1" :page-size="pageSize1" :current-page="current_page1" :total="total1"
              @current-change="handleCurrentChange_rwk1" :page-sizes="[10, 20, 50, 100]">
            </el-pagination>
          </div>
        </el-tab-pane>
      </el-tabs>
      <span slot="footer" class="dialog-footer">
        <el-button size="mini" @click="dialogVisible_gd = false">关闭</el-button>
      </span>
    </el-dialog>
    <el-dialog title="账号动态" :visible.sync="dialogVisible_gd1" width="50%" :modal-append-to-body="false" id="_plscs">
      <el-table style="width: 100%" class="table-div" :data="tableData_gd1" :header-cell-style="{
        color: '#ffffffc7',
        fontSize: '14px',
        background: '#263b5d',
      }" :row-style="{
        color: '#ffffffc7',
        fontSize: '14px',
        background: '#1d2d46',
      }">
        <el-table-column type="index" label="序号" width="80"></el-table-column>
        <el-table-column prop="txt_zh" label="内容"></el-table-column>
        <el-table-column prop="timestr" label="时间" width="200"></el-table-column>
      </el-table>
      <div class="page-div" style="margin-top: 30px">
        <el-pagination class="myPagination" background layout="total, sizes, prev, pager, next, jumper"
          @size-change="handleSizeChange" :page-size="pageSize" :current-page="current_page" :total="total"
          @current-change="handleCurrentChange_rwk" :page-sizes="[10, 20, 50, 100]">
        </el-pagination>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button size="mini" @click="dialogVisible_gd1 = false">关闭</el-button>
      </span>
    </el-dialog>
    <el-dialog :title="zhdt_title" :visible.sync="dialogVisible_zhdt" width="40%" :modal-append-to-body="false"
      id="_plscs">
      <span style="color: #d2d2d2">{{ span_zhdt }}</span>
      <span slot="footer" class="dialog-footer">
        <el-button size="mini" @click="dialogVisible_zhdt = false">关闭</el-button>
      </span>
    </el-dialog>
  </div>
</template>
    

<script>
import back from "../../assets/img/setting/back.png";
import {
  get,
  post,
  fileUpload,
  delete_util,
  startLoading,
  endLoading,
  setCookie,
} from "../../util/http_util";
import * as echarts from "echarts";
import jh_bg from "../../assets/img/dfzy/zwtp.png";
import { uuid } from "../../util/data_util";
import navs_rwk from "../sjgl/gxt.vue";
import "animate.css";
import { imgUrl } from "../../api/publicUrl";
export default {
  components: { navs_rwk },
  data() {
    return {
      currentRole_rw: "navs_rwk",
      clientDetails_rw: {},
      errimg: "this.src='" + jh_bg + "'",
      back: back,
      isShowCodePanel: false,
      form: {
        baseProperty: {},
        textarea: [],
      },
      jh_bg: jh_bg,
      zt_id: "",
      db_zt_id: "",
      xgnr_xgrw: [],
      xgnr_zhdt: [],
      xgnr_ssjd: [],
      xgnr_ssbd: [],
      xgnr_sszb: [],
      xgnr_xgyq: [],
      xgnr_lswx: [],
      xgnr_zjzl: [],
      xgnr_gjyxrw: [],
      xgnr_gjjy: [],
      xgnr_pjyl: [],
      xgnr_jgfxbg: [],
      educationHistory: [],
      workingHistory: [],
      twitterUsers: [],
      xzzd: [],
      wzmk_data: [],
      imageUrl: "",
      fileList_head: [],
      file_head: {},
      file_types_head: ".PNG,.JPG,.JPEG",
      errimg: "this.src='" + jh_bg + "'",
      obj_dx: {},
      ids_tree: "",
      templateId: "",
      title_gd: "",
      dialogVisible_gd: false,
      tableData_gd: [],
      dialogVisible_gd1: false,
      tableData_gd1: [],
      dialogVisible_zhdt: false,
      zhdt_title: "",
      span_zhdt: "",
      total: 0,
      pageSize: 10,
      current_page: 1,
      total1: 0,
      pageSize1: 10,
      current_page1: 1,
      tableData_gd2: [],
      total2: 0,
      pageSize2: 10,
      current_page2: 1,
      module_name: "敌方资源机构",
      editableTabsValues: false,
      editableTabsValue: "",
      showComponent: true,
      module:'DF',
      organization:{},
    };
  },
  methods: {
    rw_xq(item) {
      // this.currentRole_rw = "";
      // this.$route.params.key = item;
      this.$router.push({
        name: "人物详情" + this.$route.meta.type_name,
        params: { key: item, types: true },
      });
    },
    handleSizeChange(val) {
      this.pageSize = val;
      this.current_page = 1;
      this.handleCurrentChange_rwk(1);
    },
    handleCurrentChange_rwk(pageNum) {
      this.query_zhdt_data(pageNum);
    },
    query_zhdt_data(pageNum) {
      this.current_page = pageNum;
      get(
        `api/rest/elastic/queryRelationTwitter?pageNum=${pageNum}&pageSize=${this.pageSize}&twitterAccount=${this.form.extraProperty['Twitter账号'].value}`
      )
        .then((data) => {
          if (data.list.length > 0) {
            this.dialogVisible_gd1 = true;
            this.tableData_gd1 = data.list;
            this.total = data.totals;
          } else {
            this.$message.warning("暂无数据！");
          }
        })
        .catch((err) => {
          this.$message.warning(err.message);
        });
    },
    handleSizeChange1(val) {
      this.pageSize1 = val;
      this.current_page1 = 1;
      this.handleCurrentChange_rwk1(1);
    },
    handleCurrentChange_rwk1(pageNum) {
      this.query_xgyq_data(pageNum);
    },
    query_xgyq_data(pageNum) {
      this.current_page1 = pageNum;
      get(
        `api/rest/3z/resource/queryRelatedInfo?pageNum=${pageNum}&pageSize=${this.pageSize1}&subject=${this.form.jgbh.value}&relation=${this.title_gd}`
      )
        .then((data) => {
          if (data.list.length > 0) {
            this.tableData_gd = data.list;
            this.total1 = data.totals;
          } else {
            // this.$message.warning('暂无数据！');
          }
        })
        .catch((err) => {
          this.$message.warning(err.message);
        });
    },
    handleSizeChange2(val) {
      this.pageSize2 = val;
      this.current_page2 = 1;
      this.handleCurrentChange_rwk2(1);
    },
    handleCurrentChange_rwk2(pageNum) {
      this.query_xgyq_data2(pageNum);
    },
    query_xgyq_data2(pageNum) {
      this.current_page2 = pageNum;
      let condition = {
          txt:
            this.form.jgfh.value == "" ||
              this.form.jgfh.value == null ||
              this.form.jgfh.value == undefined
              ? this.form.jgjc.value
              : this.form.jgfh.value,
      };
      post(
        "api/rest/elastic/queryNews?pageNum=" +
        pageNum +
        "&pageSize=" +
        this.pageSize2 +
        "",
        condition
      )
        .then((data) => {
          //pageNum：第几页  pageSize:每页条数
          if (data.list.length > 0) {
            data.list.forEach((item) => {
              item.object = item.title_zh;
              item.createTime = item.postTime;
              item.objectType = "舆情新闻";
            });
            this.tableData_gd2 = data.list;
            this.total2 = data.totals;
          } else {
            // this.$message.warning('暂无数据！');
          }
        })
        .catch((err) => {
          this.$message({
            type: "warning",
            message: err.message,
          });
        });
    },
    gd_cli(item) {
      if (item == "相关舆情") {
        this.pageSize2 = 10;
        this.current_page2 = 1;
        this.editableTabsValues = true;
        this.editableTabsValue = "first";
        this.tableData_gd2 = [];
        this.query_xgyq_data2(1);
      } else {
        this.tableData_gd = [];
        this.editableTabsValues = false;
        this.editableTabsValue = "second";
      }
      if (item == "账号动态") {
        this.pageSize = 10;
        this.current_page = 1;
        if(this.form.extraProperty['Twitter账号'].value==''){
          this.$message.warning('Twitter账号不能为空！');
        }else{
          this.query_zhdt_data(1);
        }
      } else {
        this.dialogVisible_gd = true;
        this.title_gd = item;
        this.pageSize1 = 10;
        this.current_page1 = 1;
        this.query_xgyq_data(1);
      }
    },
    goBack() {
      // this.$router.push("rwk");
      // this.xzzd = [];
      // this.wzmk_data = [];
      // this.form={
      //   baseProperty: {},
      //   textarea:[],
      // };
      // this.imageUrl = "",
      setCookie("dfzy_jgk", "1", "1000");
      window.history.back(-1);
    },

    query_CharacterMould(id) {
      get("api/rest/mongo/template/query?id=" + id)
        .then((datas) => {
          this.xzzd = [];
          this.wzmk_data = [];
          this.xgnr_zhdt = [];
          this.xgnr_xgrw = [];
          this.xgnr_ssjd = [];
          this.xgnr_ssbd = [];
          this.xgnr_sszb = [];
          this.xgnr_xgyq = [];
          this.xgnr_lswx = [];
          this.xgnr_zjzl = [];
          this.xgnr_gjyxrw = [];
          this.xgnr_pjyl = [];
          this.xgnr_gjjy = [];
          this.xgnr_jgfxbg = [];
          if (datas != null) {
            let data = datas[0];
            if (data.extraProperty.length > 0) {
              data.extraProperty.forEach((item) => {
                  this.xzzd.push({ comment: item, value: "" });
              });
            }
            if (data.textareaProperty.length > 0) {
              data.textareaProperty.forEach((item) => {
                if (item == "大五画像") {
                  this.wzmk_data.push({
                    comment: item,
                    type: "4",
                    table_tab: [],
                    value: "",
                    table_column: [],
                  });
                } else if (item == "关系图谱") {
                  this.wzmk_data.push({
                    comment: item,
                    type: "3",
                    table_tab: [],
                    value: "",
                    table_column: [],
                  });
                } else {
                  this.wzmk_data.push({
                    comment: item,
                    type: "1",
                    table_tab: [],
                    value: "",
                    table_column: [],
                  });
                }
              });
            }
            if (data.tableProperty.length > 0) {
              // let table_tab_s = [];
              data.tableProperty.forEach((items) => {
                let arr = [];
                items.columnName.forEach((items1) => {
                  arr.push(items1);
                });
                this.wzmk_data.forEach((item, index) => {
                  if (items.tableName == item.comment) {
                    this.wzmk_data[index].type = "2";
                    this.wzmk_data[index].table_tab = arr;
                  }
                });
              });
            }
          }
          this.query_grxx();
        })
        .catch((err) => {
          this.$message.warning(err.message);
        });
    },
    query_grxx() {
      this.form = JSON.parse(JSON.stringify(this.organization));
      // this.imageUrl = imgUrl + this.form.avatar;
      this.imageUrl = this.form.avatarUrl==null?'':this.form.avatarUrl;
      if (
        this.wzmk_data.length > 0 &&
        JSON.stringify(this.form.tableProperty) != "{}"
      ) {
        this.wzmk_data.forEach((item) => {
          if (item.type == 2) {
            if (this.form.tableProperty[item.comment] != undefined) {
              if (this.form.tableProperty[item.comment].rows.length > 0) {
                this.form.tableProperty[item.comment].rows.forEach((items) => {
                    let obj = {};
                    this.form.tableProperty[item.comment].columns.forEach((itemsb,index)=>{
                      obj[itemsb] = items[index];
                    })
                    item.table_column.push(obj);
                });
              }
            }
          }
        });
      }
      let _this = this;
      if (_this.wzmk_data.length > 0) {
          _this.wzmk_data.forEach((item) => {
            if (item.type == 3) {
              _this.currentRole_rw = "navs_rwk";
              setTimeout(() => {
                _this.clientDetails_rw = {
                  module_id: _this.form.jgbh.value,
                  types: "1",
                  peopleOrOrganization: "organization",
                };
              }, 500);
            }
          });
        }
      this.query_xgyl(this.form.jgbh.value);
    },
    query_Twitter(account) {
      get("api/rest/elastic/queryRelationTwitter?pageNum=1&pageSize=10&twitterAccount=" + account)
        .then((data) => {
          let arr_news_twitter = [];
          if (data.list.length > 0) {
            data.list.forEach((item) => {
              arr_news_twitter.push({
                title: "", //标题
                txt: item.txt_zh, //内容
                site_name: item.fullname, //来自
                pubdate: item.timestr, //发布时间
                snatch_time: item.input_time, //抓取时间
                highLight: item.highLight, //高亮
                cmtcnt: item.cmtcnt, //评论数
                rpscnt: item.rpscnt, //转发数
                atdcnt: item.atdcnt, //点赞数
                isori: item.isori, //是否原创
                tweets_id: item.tweets_id, //是twitter_id
                blogger_id: item.blogger_id, //用户查询用户信息
                tweets_url: item.tweets_url, //原文链接
                txt_zh: item.txt_zh,
                title_zh: "", //标题
                emotion1: item.emotion1,
              });
            });
          }
          this.xgnr_zhdt = arr_news_twitter;
        })
        .catch((err) => {
          this.$message.warning(err.message);
        });
    },
    query_tree() {
      get("api/rest/resource/queryCharacterMould?type=1")
        .then((datas) => {
          this.option_rwmb = [];
          if (datas.length > 0) {
            datas.forEach((item) => {
              this.option_rwmb.push({ value: item.id, label: item.name });
            });
          }
        })
        .catch((err) => {
          this.$message.warning(err.message);
        });
    },
    jsonToArray(nodes) {
      var r = [];
      if (Array.isArray(nodes)) {
        for (var i = 0, l = nodes.length; i < l; i++) {
          r.push(nodes[i]); // 取每项数据放入一个新数组
          if (
            Array.isArray(nodes[i]["children"]) &&
            nodes[i]["children"].length > 0
          )
            // 若存在children则递归调用，把数据拼接到新数组中，并且删除该children
            r = r.concat(this.jsonToArray(nodes[i]["children"]));
          delete nodes[i]["children"];
        }
      }
      return r;
    },
    query_rw() {
      post(
        `api/rest/mongo/character/query?pageNum=${1}&pageSize=${20}`,
        {
          module: this.form.module,
          orgId: this.form.jgbh.value,
        }
      )
        .then((res) => {
          this.xgnr_xgrw = [];
          res.records.forEach((item) => {
            this.xgnr_xgrw.push(item);
          });
        })
        .catch((err) => {
          this.$message.warning(err.message);
        });
    },
    query_xgyl(id) {
      let _this = this;
      // _this.query_tree();
      _this.query_rw();
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "所属基地"
      )
        .then((data) => {
          _this.xgnr_ssjd = data.list;
        })
        .catch((err) => {
          this.$message.warning(err.message);
        });
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "所属部队"
      )
        .then((data) => {
          this.xgnr_ssbd = data.list;
        })
        .catch((err) => {
          console.log(err);
        });
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "所属装备"
      )
        .then((data) => {
          this.xgnr_sszb = data.list;
        })
        .catch((err) => {
          console.log(err);
        });
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "相关舆情"
      ).then((data) => {
        this.xgnr_xgyq = data.list;
        let condition = {
          txt:
            this.form.jgfh.value == "" ||
              this.form.jgfh.value == null ||
              this.form.jgfh.value == undefined
              ? this.form.jgjc.value
              : this.form.jgfh.value,
          // txt:'新华社',
        };
        post(
          "api/rest/elastic/queryNews?pageNum=" + 1 + "&pageSize=" + 10 + "",
          condition
        )
          .then((data) => {
            //pageNum：第几页  pageSize:每页条数
            if (data.list.length > 0) {
              data.list.forEach((item) => {
                item.object = item.title_zh;
                item.createTime = item.postTime;
                item.objectType = "舆情新闻";
                this.xgnr_xgyq.push(item);
              });
            }
          })
          .catch((err) => {
            this.$message({
              type: "warning",
              message: err.message,
            });
          });
      });
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "历史文献"
      )
        .then((data) => {
          this.xgnr_lswx = data.list;
        })
        .catch((err) => {
          console.log(err);
        });
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "证据资料"
      )
        .then((data) => {
          this.xgnr_zjzl = data.list;
        })
        .catch((err) => {
          console.log(err);
        });
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "关键影响人物"
      )
        .then((data) => {
          this.xgnr_gjyxrw = data.list;
        })
        .catch((err) => {
          console.log(err);
        });
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "攻击建议"
      )
        .then((data) => {
          this.xgnr_gjjy = data.list;
        })
        .catch((err) => {
          console.log(err);
        });
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "评价言论"
      )
        .then((data) => {
          this.xgnr_pjyl = data.list;
        })
        .catch((err) => {
          console.log(err);
        });
      get(
        "api/rest/3z/resource/queryRelatedInfo?subject=" +
        id +
        "&relation=" +
        "机构分析报告"
      )
        .then((data) => {
          this.xgnr_jgfxbg = data.list;
        })
        .catch((err) => {
          console.log(err);
        });
    },
    //新闻详情
    showInfo(item) {
      if (item.objectType == "新闻") {
        startLoading();
        this.$router.push({
          name: "敌方资源新闻详情" + this.$route.meta.type_name,
          params: {
            key: item.objectFrom,
            key1: item.object,
            key2: "queryOneNews",
            key3: "新闻",
          },
        });
        endLoading();
      } else if (item.objectType == "舆情新闻") {
        startLoading();
        this.$router.push({
          name: "新闻详情" + this.$route.meta.type_name,
          params: { key: item.id },
        });
        endLoading();
      } else if (item.objectType == "文献") {
        get("api/rest/3z/document/queryLiterature?id=" + item.objectFrom)
          .then((data) => {
            if (data.list.length == 0) {
              this.$message.warning("当前关联文献未找到！！！");
            } else {
              window.open(
                "api/rest/file/pdf/LiteraturePDF?objectName=" +
                data.list[0].name
              );
            }
          })
          .catch((err) => {
            this.$message.warning(err.message);
          });
      } else if (item.objectType == "智库") {
        startLoading();
        this.$router.push({
          name: "敌方资源新闻详情" + this.$route.meta.type_name,
          params: {
            key: item.objectFrom,
            key1: item.object,
            key2: "queryOneThinkTank",
            key3: "智库",
          },
        });
        endLoading();
      }
    },
    showInfo_s(item) {
      if (item.objectType == "文献") {
        get("api/rest/3z/document/queryLiterature?id=" + item.objectFrom)
          .then((data) => {
            if (data.list.length == 0) {
              this.$message.warning("当前关联文献未找到");
            } else {
              window.open(
                "api/rest/file/pdf/LiteraturePDF?objectName=" +
                data.list[0].name
              );
            }
          })
          .catch((err) => {
            this.$message.warning(err.message);
          });
      } else if (item.objectType == "舆情新闻") {
        startLoading();
        this.$router.push({
          name: "新闻详情" + this.$route.meta.type_name,
          params: { key: item.id },
        });
        endLoading();
      }
    },
    showInfo_zhtd(item) {
      if (item.objectType == "攻击建议") {
        this.zhdt_title = item.objectType;
        this.span_zhdt = item.object;
      }
      this.dialogVisible_zhdt = true;
    },
    showInfo_zhtds(item) {
      this.$router.push({
        name: "Twitter详情" + this.$route.meta.type_name,
        params: item,
      });
    },
    query() {
      let obj_item = this.$route.params.key;
      this.ids_tree = obj_item.id;
      this.templateId = obj_item.info.templateId;
      this.organization = obj_item.info;
      this.module = obj_item.info.module
      this.query_CharacterMould(this.templateId);
      this.organization.extraProperty['Twitter账号'].value!=''?this.query_Twitter(this.organization.extraProperty['Twitter账号'].value):'';
    },
    query_selector(selector) {
      return Array.from(document.querySelectorAll(selector));
    },
  },
  mounted() {
    // this.query();
  },
  activated() {
    this.$route.params.types ? this.query() : "";
    /**动画效果 */
    var observer = new IntersectionObserver(function (changes) {
      changes.forEach(function (change) {
        var container = change.target;
        // var content = container.querySelector("template").content;
        if (change.isIntersecting) {
          container.classList.add("animate__animated");
          container.classList.add("animate__lightSpeedInLeft");
        } else {
          container.classList.remove("animate__animated");
          container.classList.remove("animate__lightSpeedInLeft");
        }
      });
    });
    let _this = this;
    let timesaa = setInterval(function () {
      if (_this.query_selector(".pub-td2").length > 0) {
        _this.query_selector(".pub-td2").forEach(function (item) {
          observer.observe(item);
        });
        clearInterval(timesaa);
      }
    }, 100);
    let timesaa1 = setInterval(function () {
      if (_this.query_selector(".img-div").length > 0) {
        _this.query_selector(".img-div").forEach(function (item) {
          observer.observe(item);
        });
        clearInterval(timesaa1);
      }
    }, 100);
    let times = setInterval(function () {
      if (_this.query_selector(".tablesss").length > 0) {
        _this.query_selector(".tablesss").forEach(function (item) {
          observer.observe(item);
        });
        clearInterval(times);
      }
    }, 100);
    let timesss = setInterval(function () {
      if (_this.query_selector(".div_s").length > 0) {
        _this.query_selector(".div_s").forEach(function (item) {
          observer.observe(item);
        });
        clearInterval(timesss);
      }
    }, 100);
    let times2 = setInterval(function () {
      if (_this.query_selector(".test-td-pub-td2").length > 0) {
        _this.query_selector(".test-td-pub-td2").forEach(function (item) {
          observer.observe(item);
        });
        clearInterval(times2);
      }
    }, 100);

    var observer1 = new IntersectionObserver(function (changes) {
      changes.forEach(function (change) {
        var container = change.target;
        // var content = container.querySelector("template").content;
        if (change.isIntersecting) {
          container.classList.add("animate__animated");
          container.classList.add("animate__lightSpeedInRight");
        } else {
          container.classList.remove("animate__animated");
          container.classList.remove("animate__lightSpeedInRight");
        }
      });
    });

    let times1 = setInterval(function () {
      if (_this.query_selector(".test-td-pub-td1").length > 0) {
        _this.query_selector(".test-td-pub-td1").forEach(function (item) {
          observer1.observe(item);
        });
        clearInterval(times1);
      }
    }, 100);
    
    let times21 = setInterval(function () {
      if (_this.query_selector(".pub-td1").length > 0) {
        _this.query_selector(".pub-td1").forEach(function (item) {
          observer1.observe(item);
        });
        clearInterval(times21);
      }
    }, 100);
    
    let times22 = setInterval(function () {
      if (_this.query_selector(".xgnr-div").length > 0) {
        _this.query_selector(".xgnr-div").forEach(function (item) {
          observer1.observe(item);
        });
        clearInterval(times22);
      }
    }, 100);
    
    let times23 = setInterval(function () {
      if (_this.query_selector(".test-td-pub-td2").length > 0) {
        _this.query_selector(".xgnr-span").forEach(function (item) {
          observer1.observe(item);
        });
        clearInterval(times23);
      }
    }, 100);
  },
};
</script>
<style lang="scss">
#jq_xq_dfzy {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  overflow-y: auto;
  overflow-x: hidden;

  .el-input__inner {
    color: white !important;
    background: none !important;
    border: 1px solid #146a80 !important;
    box-shadow: 0 0 10px #1b6097;
  }

  .el-textarea__inner {
    color: white !important;
    background: none !important;
    border: 1px solid #146a80 !important;
    box-shadow: 0 0 10px #1b6097;
    white-space: pre-line;
  }

  #aa2 {
    width: 100%;
    height: 100%;
    background-size: 100% 100%;
    border-radius: 19px;
    background-color: white;
    margin-top: -40px;
  }

  .top-title {
    width: 100%;
    float: left;

    // height: 95px;
    .top-left-div {
      width: 50%;
      float: left;

      span {
        width: 100%;
        font-weight: 900;
        float: left;
        color: #3bc0ff;
        word-break: break-all;
      }
    }

    .top-right-div {
      width: calc(50% - 20px);
      margin-left: 20px;
      float: right;
    }
  }

  .title-div {
    float: left;
    width: 100%;
    height: 25px;
    background-size: 100% 100%;
    position: relative;
    margin-top: 10px;

    span {
      position: absolute;
      //   left: 50px;
      //   top: -10px;
      font-weight: 700;
      font-size: 18px;
      color: orange;
    }
  }

  .mk-div {
    width: 100%;
    // height: 206px;
    float: left;
    margin-bottom: 20px;

    .data-div {
      width: calc(100% - 40px);
      float: left;
      padding: 20px;

      .div_s {
        width: 100%;

        span {
          font-size: 14px;
          white-space: pre-line;
          word-break: break-all;
        }
      }

      .pub-div-data {
        margin: 10px calc(50% - 28px);
        color: #909399;
        font-size: 14px;
      }

      .el-table tr {
        background-color: transparent !important;
        color: #ffffffc7;
      }

      .el-table thead tr {
        font-size: 14px;
        background: url(../../assets/img/setting/tr1.png) no-repeat;
        background-size: 100% 100%;
      }

      .el-table th {
        padding: 5px;
        background-color: transparent;
      }

      tbody tr {
        border-bottom: 1px solid #252631;
      }

      .el-table td {
        border-bottom: 1px solid #252631;
        border-right: unset;
      }

      .el-table--enable-row-hover .el-table__body tr:hover>td {
        background-color: #82848a78;
      }

      .el-table th {
        padding: 5px;
        border: unset;
        // background-color: #263b5d !important;
      }

      .el-table--fit {
        background: none !important;
        border: unset;
        .el-table__empty-block {
          height: 100px !important;
        }
      }


      .el-icon-delete-solid {
        color: red;
        cursor: pointer;
        font-size: 18px;
      }

      .el-icon-edit {
        color: #1172d8;
        cursor: pointer;
        font-size: 20px;
      }

      .el-icon-view {
        color: #00ffff;
        font-size: 20px;
        cursor: pointer;
      }

      .el-table--group::after,
      .el-table--border::after,
      .el-table::before {
        background-color: unset;
      }
    }
  }

  .el-card__body {
    padding: 0px;
  }

  .img-div {
    width: 250px;
    float: left;
    margin-top: 50px;
    padding: 0px 40px;

    // border: 3px solid #ffffff;
    .el-upload {
      width: 100%;
    }

    img {
      width: 100%;
      // height: 300px;
    }

    .top-left-div {
      width: 100%;
      float: left;
      margin-top: 20px;
      text-align: center;

      span {
        width: 100%;
        font-weight: 900;
        float: left;
        color: #ffffff;
        word-break: break-all;
      }
    }
  }

  .table_jbxx {
    width: calc(100% - 350px);
    margin-left: 20px;
    float: left;
    border-spacing: 0px 12px;

    tr {
      background: #4343433b;
    }

    td {
      padding: 6px 10px;
      font-size: 14px;
      // max-width: 1;
    }

    .pub-td1 {
      color: #8b8b8b;
      font-weight: 900;
      min-width: 100px;
      text-align: right;
    }

    .pub-td2 {
      color: #8cd4ff;
      line-height: 28px;
      overflow: hidden;
      width: 400px;
      font-weight: 900;
    }
  }

  .title-divs {
    float: left;
    height: 25px;
    width: calc(100% - 0px);
    // background-image: url("../../assets/img/dfzy/02.png");
    // background-size: 100% 100%;
  }

  .el-card {
    border-radius: unset;
    border: 1px solid #1d2d4600;
    background-color: unset;
    overflow: hidden;
    color: #ffff;
    transition: 0.3s;
    opacity: 0.93;

    .textitem {
      padding-top: 5px;
      cursor: pointer;

      span {
        font-size: 15px;
        color: #8cd4ff;
      }
    }
  }

  .el-card.is-always-shadow {
    box-shadow: none;
  }

  .xgnr-span {
    height: 45px;
    line-height: 40px;
    padding-left: 20px;
    font-weight: 700;
    margin-top: 20px;
    background: #293f63b0;
    color: #ffffff;
    font-size: 12px;
    letter-spacing: 2px;

    .el-button {
      border-radius: 0px 5px 0px 5px;
      height: 25px;
      background: linear-gradient(to right, #89f7fe, #66a6ff);
      padding: 3px 7px;
    }
  }

  .xgnr-div {
    width: 100%;
    height: 150px;
    text-align: center;
    background: #23345066;
    overflow-y: auto;
    overflow-x: hidden;

    div {
      margin-top: 59px;
      display: inline-table;
      color: #adadad;
    }

    // .el-tabs--border-card {
    //   background: #ececec;
    //   border: 1px solid #1d2d46;
    //   > .el-tabs__header {
    //     background-color: #c1c1c1;
    //     .el-tabs__item.is-active {
    //       color: #009df9;
    //       background-color: #ececec;
    //     }
    //     .el-tabs__item {
    //       color: #777777;
    //     }
    //   }
    // }
    ul {
      padding: 0px 35px;
      margin: 0px;
      width: calc(100% - 70px);
      height: 100%;

      li {
        color: #26cc98;
        float: left;
        width: calc(100% - 38px);
        line-height: 33px;
        text-align: left;

        span {
          color: #ffffff;
          float: left;
          cursor: pointer;
          width: calc(100% - 0px);
          font-size: 14px;
          line-height: 33px;
          overflow: hidden;
          white-space: nowrap;
          text-overflow: ellipsis;
        }

        span:hover {
          color: #65add6;
        }
      }

      li:nth-child(even) {
        // background: #2b4064;
      }
    }
  }

  .back {
    width: 40px;
    height: 40px;
    position: absolute;
    top: 11%;
    right: 80px;
    cursor: pointer;
  }

  .table-div {
    width: 100%;
    height: 500px;
    margin-top: 20px;
    margin-left: 0px;
    background: #1d2d47;

    .el-table__body-wrapper {
      height: 452px;
      overflow-y: auto;
    }

    .cell {
      text-align: center;
    }

    .el-table tr {
      background-color: transparent !important;
      color: #ffffffc7;
    }

    .el-table thead tr {
      background: url(../../assets/img/setting/tr1.png) no-repeat;
      background-size: 100% 100%;
    }

    .el-table th {
      padding: 5px;
      background-color: transparent;
    }

    tbody tr {
      border-bottom: 1px solid #252631;
    }

    .el-table td {
      border-bottom: 1px solid #252631;
      border-right: unset;
    }

    .el-table--enable-row-hover .el-table__body tr:hover>td {
      background-color: #82848a78;
    }

    .el-table th {
      padding: 5px;
      border: unset;
      // background-color: #263b5d !important;
    }

    .el-table--fit {
      background: none !important;
      border: unset;
    }

    .el-table__empty-block {
      height: 100px !important;
    }

    .el-icon-delete-solid {
      color: red;
      cursor: pointer;
      font-size: 18px;
    }

    .el-icon-edit {
      color: #1172d8;
      cursor: pointer;
      font-size: 20px;
    }

    .el-icon-view {
      color: #00ffff;
      font-size: 20px;
      cursor: pointer;
    }

    .el-table--group::after,
    .el-table--border::after,
    .el-table::before {
      background-color: unset;
    }
  }

  .el-tabs--border-card {
    // width: calc(100% - 4px);
    // height: calc(100% - 4px);
    border: 2px solid #125473;
    border-radius: 5px;
    box-sizing: border-box;
    background: #ffffff00;

    >.el-tabs__content {
      width: 100%;
      // height: calc(100% - 40px);
      box-sizing: border-box;
    }

    >.el-tabs__header {
      background-color: unset;
      border-bottom: 2px solid #125473;

      .el-tabs__item {
        color: #dedede;
      }

      .el-tabs__item.is-active {
        color: #ffe000;
        background-color: #116791;
        border-right-color: #116791;
        border-left-color: #116791;
      }

      .el-tabs__item:not(.is-disabled):hover {
        color: #ffe000;
      }
    }
  }
  #_plscs .el-dialog__body{
    padding: 0px 20px;
  }
}
</style>
